package com.anabas.eventbus;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 */

/**
 * Encapsulates security for a context.  Inherited from parent contexts.
 * Should be passed into a stream context behind the scenes by the factory.
 */
public interface StreamContextSecurityManager {
  public boolean canCreateStream();
  public boolean canBind();
  public boolean canSearch();
  public boolean canListen();
  public boolean canCreateSubcontext();
}


