package com.anabas.eventbus;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 *
 * A special case of a destination selector that selects based on a combination
 * of a unique user and/or a sharedlet.
 */


public interface UserSharedletDestSelector extends DestinationSelector {

  /**
   * @param The user object.
   */
  public void setUser(com.anabas.concepts.User u);

  /**
   * @param MIMEType The sharedlet MIME type of the form application/x-sharedlet-XXX
   */
  public void setSharedlet(String MIMEType);
}