package com.anabas.concepts;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 */

public interface Time {

  /**
   * @return The clock of the source time.  Difference clocks could be:
   *         (1) Global clock (Some synchronized global clock of the system)
   *         (2) Local clock (The local clock) ...
   */
  public Clock getTimeClock();

  /**
   * @return The time in milliseconds.
   */
  public long getTime();
}