package com.anabas.eventbus;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 */

public interface Subscriber {


  /**
   * Sets the message filter for the subscriber.
   * Best if the filter is implemented on the server side.
   */
  public void setSelector(MessageSelector s);

  /**
   * Set a listener for asychronous reception of messages.
   */
  public void setMessageListener(MessageListener m);

  /**
   * Synchronous reception of messages.
   */
  public Message receiveMessage() throw IncompatibleVersionException;
}